##
##  nunjucks.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_nunjucks      1.5.3
%define       V_nunjucks_snap 20240628

#   package information
Name:         nunjucks
Summary:      Nunjucks Template Engine CLI
URL:          https://github.com/rse/nunjucks
Vendor:       Dr. Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Development
License:      MIT
Version:      %{V_nunjucks}
Release:      20240629

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/nunjucks/nunjucks-%{V_nunjucks}-%{V_nunjucks_snap}.tar.gz
Source1:      nunjucks.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    This is a small command-line utility to render templates with the
    rich and powerful templating language Mozilla Nunjucks. This allows
    you to define your configuration in a YAML file and then render an
    output file based on a template input file where your configuration
    can be expanded. It optionally can load Nunjucks addons like the
    ones from the companion Nunjucks Addons package.

%track
    prog nunjucks:base = {
        version   = %{V_nunjucks}
        url       = https://github.com/rse/nunjucks-cli/tags
        regex     = tag/(\d+\.\d+\.\d+)
    }
    prog nunjucks:snap = {
        version   = %{V_nunjucks}-%{V_nunjucks_snap}
        url       = http://download.openpkg.org/components/versioned/nunjucks/
        regex     = nunjucks-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze -n "default:safe"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/nunjucks \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE nunjucks.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/nunjucks
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/nunjucks/
    %{l_shtool} install -c -m 644 \
        node_modules/@rse/nunjucks-cli/nunjucks.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

